# InfrastructureSystems.jl

![Master - CI](https://github.com/NREL-Sienna/InfrastructureSystems.jl/workflows/Master%20-%20CI/badge.svg)
[![codecov](https://codecov.io/gh/NREL-Sienna/InfrastructureSystems.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/NREL-Sienna/InfrastructureSystems.jl)
[![Documentation](https://github.com/NREL-Sienna/InfrastructureSystems.jl/workflows/Documentation/badge.svg)](https://nrel-sienna.github.io/InfrastructureSystems.jl/stable/)
[![DOI](https://zenodo.org/badge/202787784.svg)](https://zenodo.org/badge/latestdoi/202787784)

The `InfrastructureSystems.jl` package provides utilities to support data models for infrastructure modeling in [NREL-Sienna](https://github.com/NREL-Sienna). The `InfrastructureSystems.jl` package is used to support functionalities in [PowerSystems.jl](https://github.com/NREL-Sienna/PowerSystems.jl), [PowerSimulations.jl](https://github.com/NREL-Sienna/PowerSimulations.jl), [PowerSimulationsDynamics.jl](https://github.com/NREL-Sienna/PowerSimulationsDynamics.jl) and other modeling packages in the Sienna ecosystem. 

This package is only compatible with Julia 1.6 or higher.

## Development

Contributions to the development and enahancement of PowerSystems is welcome. Please see [CONTRIBUTING.md](https://github.com/NREL-Sienna/InfrastructureSystems.jl/blob/master/CONTRIBUTING.md) for code contribution guidelines.

## License

InfrastructureSystems is released under a BSD [license](https://github.com/NREL-Sienna/InfrastructureSystems.jl/blob/master/LICENSE). InfrastructureSystems has been developed as part of the Scalable Integrated Infrastructure Planning (SIIP) initiative at the U.S. Department of Energy's National Renewable Energy Laboratory ([NREL](https://www.nrel.gov/))
